@import "libs/shared/assets/src/global-style/card-item";
.img-center {
  text-align: center;
  width: 100%;
  height: 100%;
}

.img-item {
  width: 100%;
  height: 100%;
  object-fit: cover;

  border: 1.42468px solid #D4D7E7;
  border-radius: 16px;
  &.img-item-select {
    border: 2.84936px solid #141ED2;
  }
}

.show-btn {
  text-align: -webkit-center;
  &:hover {
    + .delete-image {
      display: block;
    }
  }
}

::ng-deep {
  .img-upload {
    position: relative;
    width: 100%;
    height: 100%;
    &:before {
      position: absolute;
      opacity: 0;
      z-index: 1;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      transition: all 0.3s;
      content: " ";
      border-radius: 16px;
    }
    &:hover {
      &:before {
        opacity: 1;
      }
      + .delete-image {
        display: block;
      }
    }
  }

  .img-upload-hover {
    position: relative;
    width: 100%;
    height: 100%;
    &:before {
      position: absolute;
      opacity: 1;
      z-index: 1;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      transition: all 0.3s;
      content: " ";
      border-radius: 16px;
    }
  }

  .image-loading-wrap {
    position: relative;
    width: 100%;
    height: 100%;
    &:before {
      position: absolute;
      opacity: 1;
      z-index: 1;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.5);
      transition: all 0.3s;
      content: " ";
      border-radius: 16px;
    }
  }
}

:host {
  ::ng-deep {
    .ant-upload-list-item.ant-upload-list-item-list-type-picture-card {
      padding: 0;
    }
    .ant-upload-picture-card-wrapper {
      display: inline-block;
      width: 100%;
      height: 100%;
      .ant-upload.ant-upload-select-picture-card {
        width: 100%;
        height: 100%;
        border-radius: 16px;
        border: 1px solid $border;
        &:hover {
          border-color: $primary;
        }
      }
    }
  }
  .delete-image {
    font-size: 24px;
    font-weight: 900;
    color: $white;
    z-index: 1000;
    display: none;
    position: absolute;
    left: 45%;
    top: 45%;
    &:hover {
      display: block;
      cursor: pointer;
      .show-btn {
        .img-upload {
          &:before {
            opacity: 1;
          }
        }
      }
    }
  }
  .upload-title {
    margin-top: 8px;
    color: #000000d9;
    font-size: 16px;
  }
  .upload-description {
    margin-top: 8px;
    color: #00000073;
    font-size: 14px;
  }

  .image-loading {
    font-size: 24px;
    font-weight: 900;
    color: $white;
    z-index: 1000;
    position: absolute;
    left: 45%;
    top: 45%;
  }

}

